
Foreman - Bug #2202

Add new permissions for actions currently missing them

02/13/2013 03:00 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Users, Roles and Permissions   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

#2198 added a test that contains a list of routes which currently have no associated permission, so they're all admin-only.  New

permissions should be added and/or routes added to existing permissions where applicable.

    "audits/create", "audits/destroy", "audits/edit", "audits/new", "audits/update",

    "compute_resources/test_connection",

    "compute_resources_vms/console", "compute_resources_vms/edit", "compute_resources_vms/new", "c

ompute_resources_vms/update",

    "config_templates/build_pxe_default",

    "facts/index", "facts/show",

    "hostgroups/nest",

    "hosts/multiple_build", "hosts/multiple_puppetrun", "hosts/submit_multiple_enable", "hosts/upd

ate_multiple_puppetrun",

    "hosts/pending", "hosts/puppetrun", "hosts/pxe_config", "hosts/show_search", "hosts/storeconfi

g_klasses",

    "images/create", "images/destroy", "images/edit", "images/index", "images/new", "images/show",

 "images/update",

    "locations/assign_all_hosts", "locations/assign_hosts", "locations/assign_selected_hosts",

    "locations/clone_taxonomy", "locations/import_mismatches", "locations/mismatches", "locations/

step2",

    "organizations/assign_all_hosts", "organizations/assign_hosts", "organizations/assign_selected

_hosts",

    "organizations/clone_taxonomy", "organizations/import_mismatches", "organizations/mismatches",

 "organizations/step2",

    "lookup_values/create", "lookup_values/destroy", "lookup_values/index", "lookup_values/update"

,

    "notices/destroy",

    "operatingsystems/bootfiles",

    "puppetclasses/obsolete_and_new",

    "subnets/create_multiple", "subnets/import",

    "trends/count" 

Related issues:

Related to Foreman - Feature #985: no permission corresponds to 'Run Puppet' ... Resolved 06/14/2011

Related to Foreman - Bug #2221: non admin user can't set build flag for multi... Closed 02/19/2013

Related to Foreman - Bug #2248: Authorization of API actions should match app... Closed 02/25/2013

Associated revisions

Revision 66b40d57 - 03/03/2013 09:59 AM - Dominic Cleal

fixes #2202 - add all unassigned actions to appropriate permissions

History

#1 - 02/13/2013 12:01 PM - Dominic Cleal

- Status changed from New to Assigned
https://projects.theforeman.org/issues/2198


#2 - 02/21/2013 07:09 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/428

#3 - 03/03/2013 10:47 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 66b40d57c0d31a4703dde500444f5786cb95f24b.
